libgimpprint API Reference: paper_t struct Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# paper_t Struct Reference

`#include <print-escp2.h>`

## Data Fields
const char * | name
const char * | text
int | media_code
double | base_density
double | k_lower_scale
double | k_upper
const char * | hue_adjustment
const char * | lum_adjustment
const char * | sat_adjustment
const char * | name
const char * | text
paper_class_t | paper_class
short | paper_feed_sequence
short | platen_gap
short | feed_adjustment
short | vacuum_intensity
short | paper_thickness
const char * | preferred_ink_type
const char * | preferred_ink_set
const char * | name
const char * | text
int | paper_feed_sequence
int | platen_gap
double | cyan
double | magenta
double | yellow
double | p_cyan
double | p_magenta
double | p_yellow
double | saturation
double | gamma
int | feed_adjustment
int | vacuum_intensity
int | paper_thickness
const char * | hue_adjustment
const char * | lum_adjustment
const char * | sat_adjustment

## Field Documentation

double paper_t::base_density

| Definition at line 839 of file print-lexmark.c.

double paper_t::cyan

| Definition at line 842 of file print-lexmark.c.

int paper_t::feed_adjustment

| Definition at line 850 of file print-lexmark.c.

short paper_t::feed_adjustment

| Definition at line 125 of file print-escp2.h. Referenced by escp2_set_remote_sequence().

double paper_t::gamma

| Definition at line 849 of file print-lexmark.c.

const char* paper_t::hue_adjustment

| Definition at line 853 of file print-lexmark.c.

const char* paper_t::hue_adjustment

| Definition at line 1183 of file print-canon.c.

double paper_t::k_lower_scale

| Definition at line 840 of file print-lexmark.c.

double paper_t::k_upper

| Definition at line 841 of file print-lexmark.c.

const char* paper_t::lum_adjustment

| Definition at line 854 of file print-lexmark.c.

const char* paper_t::lum_adjustment

| Definition at line 1184 of file print-canon.c.

double paper_t::magenta

| Definition at line 843 of file print-lexmark.c.

int paper_t::media_code

| Definition at line 1179 of file print-canon.c. Referenced by canon_init_setColor().

const char* paper_t::name

| Definition at line 835 of file print-lexmark.c.

const char* paper_t::name

| Definition at line 120 of file print-escp2.h.

const char* paper_t::name

| Definition at line 1177 of file print-canon.c. Referenced by escp2_parameters(), get_media_adjustment(), and get_media_type().

double paper_t::p_cyan

| Definition at line 845 of file print-lexmark.c.

double paper_t::p_magenta

| Definition at line 846 of file print-lexmark.c.

double paper_t::p_yellow

| Definition at line 847 of file print-lexmark.c.

paper_class_t paper_t::paper_class

| Definition at line 122 of file print-escp2.h. Referenced by verify_resolution_by_paper_type().

int paper_t::paper_feed_sequence

| Definition at line 837 of file print-lexmark.c.

short paper_t::paper_feed_sequence

| Definition at line 123 of file print-escp2.h. Referenced by escp2_set_remote_sequence().

int paper_t::paper_thickness

| Definition at line 852 of file print-lexmark.c.

short paper_t::paper_thickness

| Definition at line 127 of file print-escp2.h. Referenced by escp2_set_remote_sequence().

int paper_t::platen_gap

| Definition at line 838 of file print-lexmark.c.

short paper_t::platen_gap

| Definition at line 124 of file print-escp2.h.

const char* paper_t::preferred_ink_set

| Definition at line 129 of file print-escp2.h.

const char* paper_t::preferred_ink_type

| Definition at line 128 of file print-escp2.h. Referenced by get_default_inktype().

const char* paper_t::sat_adjustment

| Definition at line 855 of file print-lexmark.c.

const char* paper_t::sat_adjustment

| Definition at line 1185 of file print-canon.c.

double paper_t::saturation

| Definition at line 848 of file print-lexmark.c.

const char* paper_t::text

| Definition at line 836 of file print-lexmark.c.

const char* paper_t::text

| Definition at line 121 of file print-escp2.h.

const char* paper_t::text

| Definition at line 1178 of file print-canon.c. Referenced by escp2_parameters().

int paper_t::vacuum_intensity

| Definition at line 851 of file print-lexmark.c.

short paper_t::vacuum_intensity

| Definition at line 126 of file print-escp2.h. Referenced by escp2_set_remote_sequence().

double paper_t::yellow

| Definition at line 844 of file print-lexmark.c.

The documentation for this struct was generated from the following files:

- src/main/print-canon.c
- src/main/print-escp2.h
- src/main/print-lexmark.c